let
  configPath = ./config;

  themeFunctions = {
    dummy = [];
  };

  themes = builtins.listToAttrs (map (name: {
      name = builtins.substring 0 (builtins.stringLength name - 4) name;
      value = import (configPath + "/${name}") {inherit themeFunctions;};
    })
    (builtins.filter (name:
      builtins.match ".*\\.nix$" name != null) (builtins.attrNames
      (builtins.readDir configPath))));
in {
  themes = themes;
}
